Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Interface ImportInput

All Known Implementing Classes:
  BaseImportInput, FileSystemInput, ZipFileInput

    public interface ImportInput

Version:
  $Id: ImportInput.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`void` | `close()`
`boolean` | `fileExists(java.lang.String path)`
`boolean` | `fileExists(java.lang.String parentPath, java.lang.String path)`
`boolean` | `folderExists(java.lang.String path)`
`java.io.InputStream` | `getFileInputStream(java.lang.String path)`
`java.io.InputStream` | `getFileInputStream(java.lang.String parentPath, java.lang.String path)`
`void` | `open()`

Method Detail

### open

    void open()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### folderExists

    boolean folderExists(java.lang.String path)

### fileExists

    boolean fileExists(java.lang.String path)

### fileExists

    boolean fileExists(java.lang.String parentPath,
                       java.lang.String path)

### getFileInputStream

    java.io.InputStream getFileInputStream(java.lang.String path)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFileInputStream

    java.io.InputStream getFileInputStream(java.lang.String parentPath,
                                           java.lang.String path)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.